Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.ref
Class DefaultDocumentProvider

    java.lang.Object
      |
      +--com.bea.p13n.content.document.ref.DefaultDocumentProvider

Direct Known Subclasses:
  RefDocumentProvider

public abstract class DefaultDocumentProvider
extends java.lang.Object
implements DocumentProvider

An abstract base implementation of a DocumentProvider.

This can be used by implementors as a starting point for writing a Doc Mgmt SPI implementation.

Since:
  2.0

Constructor Summary
`DefaultDocumentProvider()`

Method Summary
`DocumentIterator` | `findDocumentIds(Search params)` Return the set of document ids which match the given search parameters.
`DocumentIterator` | `findDocumentMetadata(Search params)` Deprecated. To be removed when old expressions are removed.
`DocumentIterator` | `findDocuments(Search params)` Deprecated. To be removed when old expressions are removed.
`DocumentDef` | `getDocument(java.lang.String id)` Return the Document with the given id.
`DocumentMetadataDef` | `getDocumentMetadata(java.lang.String id)` Return the DocumentMetadata with the given id.
`java.sql.Timestamp` | `getDocumentModifiedDate(java.lang.String id)` Return the last modified date of the Document with the given id.
`int` | `getTransactionIsolation()` Get the document provider's current transaction isolation level.
`void` | `setTransactionIsolation(int level)` Set the document provider's transaction isolation level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDocumentProvider

    public DefaultDocumentProvider()

Method Detail

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws DocumentException

  Get the document provider's current transaction isolation level.
  Specified by:
    getTransactionIsolation in interface DocumentProvider

  Returns:
    TRANSACTION_NONE

### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws DocumentException

  Set the document provider's transaction isolation level.

  This method does nothing.

  Specified by:
    setTransactionIsolation in interface DocumentProvider

### findDocumentIds

    public DocumentIterator findDocumentIds(Search params)
                                     throws DocumentException

  Return the set of document ids which match the given search parameters.

  This will call `findDocumentMetadata(com.bea.p13n.content.expression.Search)` and extract the ids from the metadata.

  Specified by:
    findDocumentIds in interface DocumentProvider

### getDocumentMetadata

    public DocumentMetadataDef getDocumentMetadata(java.lang.String id)
                                            throws DocumentException

  Return the DocumentMetadata with the given id.

  This uses `findDocumentMetadata(com.bea.p13n.content.expression.Search)` to do it.

  Specified by:
    getDocumentMetadata in interface DocumentProvider

### getDocument

    public DocumentDef getDocument(java.lang.String id)
                            throws DocumentException

  Return the Document with the given id.

  This uses `findDocuments(com.bea.p13n.content.expression.Search)` to do it.

  Specified by:
    getDocument in interface DocumentProvider

### getDocumentModifiedDate

    public java.sql.Timestamp getDocumentModifiedDate(java.lang.String id)
                                               throws DocumentException

  Return the last modified date of the Document with the given id.

  This uses `getDocumentMetadata(java.lang.String)` to do it.

  Specified by:
    getDocumentModifiedDate in interface DocumentProvider

### findDocuments

    public DocumentIterator findDocuments(Search params)
                                   throws DocumentException

  Deprecated. To be removed when old expressions are removed.
  Try to find the findDocuments(com.beasys.commerce.foundation.expression.Search) method and invoke it.

  Override this method to implement search based on new expressions.

  Specified by:
    findDocuments in interface DocumentProvider

### findDocumentMetadata

    public DocumentIterator findDocumentMetadata(Search params)
                                          throws DocumentException

  Deprecated. To be removed when old expressions are removed.
  Try to find the findDocumentMetadata(com.beasys.commerce.foundation.expression.Search) method and invoke it.

  Override this method to implement search based on new expressions.

  Specified by:
    findDocumentMetadata in interface DocumentProvider

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved